Subject: Re: bug#56393: Actually fix the long lines display bug

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jul 2022 14:59:35 +0300

> Date: Sat, 09 Jul 2022 11:48:27 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> >> But fontification-functions are not the only problem here.  What I also 
> >> observe is that, for example, moving in a fontified buffer takes (much) 
> >> longer than moving in a non-fontified buffer.  For example, in 
> >> long-line.xml, vertical-motion takes about 40 ms backward and 10 ms 
> >> forward in a non-fontified buffer, and about 180 ms backward and 40 ms 
> >> forward in a fontified buffer.
> >
> > I guess that's because vertical-motion calls the display code, and that 
> > calls fontification-functions.
> >
> 
> No, fontification-functions are not called when moving around in an 
> already fontified portion of the buffer.  So the slowdown of C-n and C-p 
> (and others) in that case is not caused by fontification-functions.

That's very strange, since AFAIK moving in a non-fontified buffer
involves both fontifications and display of the fontified text,
whereas moving through a fontified buffer involves only the latter.
FWIW, I've _never_ seen movement through fontified buffer being slower
than in a non-fontified one.  I'd be very interested to know what
slows down the movement in a fontified buffer.